Bug 1626677 - Remove glibc-all-langpacks from buildroot
Summary: Remove glibc-all-langpacks from buildroot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-07 21:05 UTC by Ben Cotton
Modified: 2020-05-02 08:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-02 08:14:46 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2018-09-07 21:05:48 UTC
This is a tracking bug for Change: Remove glibc-all-langpacks from buildroot
For more details, see: https://fedoraproject.org/wiki/Changes/Remove_glibc-langpacks-all_from_buildroot

glibc-minimal-langpack is added to @Buildsystem group and installed into the minimal buildroot instead of glibc-all-langpacks. Packages which need more locales than plain C/C.UTF-8/POSIX need to pull them in through BuildRequires.

Comment 1 Petr Šabata 2018-09-10 11:22:19 UTC
Note this will, in addition to koji groups, require changes in the platform:f30 module definition.

Comment 2 Ben Cotton 2019-02-19 20:30:23 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-02-22 12:49:12 UTC
The comps PR was merged, and srpm-build group in koji was also updated. So I *think* this is all implemented. Nevertheless, I don't have good visibility in the full releng setup, so I can't be sure. I'll set status to ON_QA.

Comment 4 Petr Pisar 2019-02-22 13:13:15 UTC
Building Perl packages in Koji does not produce the warning about an unknown locale anymore. build.log also displays that mock invokes rpmbuild with C.UTF-8 locale now. root.log does not manifest glibc-all-langpacks anymore. From an observer point of view this seems to be correctly implemented in Koji now. Example <https://koji.fedoraproject.org/koji/buildinfo?buildID=1214917>.

Comment 5 Ben Cotton 2020-04-30 22:15:58 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Zbigniew Jędrzejewski-Szmek 2020-05-02 08:14:46 UTC
This was implemented as planned.


Note You need to log in before you can comment on or make changes to this bug.